libzypp: zypp::media::ProxyInfoLibproxy Class Reference

libzypp 17.38.10

zypp::media::ProxyInfoLibproxy Class Reference

`#include <zypp-curl/proxyinfo/proxyinfolibproxy.h>`

Inheritance diagram for zypp::media::ProxyInfoLibproxy:

## Public Member Functions
| ProxyInfoLibproxy ()
| ~ProxyInfoLibproxy () override
bool | enabled () const override
std::string | proxy (const Url &url_r) const override
ProxyInfo::NoProxyList | noProxy () const override
ProxyInfo::NoProxyIterator | noProxyBegin () const override
ProxyInfo::NoProxyIterator | noProxyEnd () const override
Public Member Functions inherited from zypp::media::ProxyInfo::Impl
| Impl ()
| Ctor.
virtual | ~Impl ()
| Dtor.
bool | useProxyFor (const Url &url_r) const
| Return `true` if enabled and url_r does not match noProxy.

## Static Public Member Functions
static bool | isAvailabe ()

## Private Attributes
DefaultIntegral< bool, false > | _enabled
ProxyInfo::NoProxyList | _no_proxy
pxProxyFactoryType * | _factory

## Additional Inherited Members
Static Public Attributes inherited from zypp::media::ProxyInfo::Impl
static shared_ptr< Impl > | _nullimpl
| Default Impl: empty sets.

## Detailed Description

Definition at line 39 of file proxyinfolibproxy.h.

## Constructor & Destructor Documentation

## ◆ ProxyInfoLibproxy()

zypp::media::ProxyInfoLibproxy::ProxyInfoLibproxy | ( |  | ) |

Definition at line 153 of file proxyinfolibproxy.cc.

## ◆ ~ProxyInfoLibproxy()

zypp::media::ProxyInfoLibproxy::~ProxyInfoLibproxy | ( |  | ) |
| override

Definition at line 160 of file proxyinfolibproxy.cc.

## Member Function Documentation

## ◆ isAvailabe()

bool zypp::media::ProxyInfoLibproxy::isAvailabe | ( |  | ) |
| static

Definition at line 163 of file proxyinfolibproxy.cc.

## ◆ enabled()

bool zypp::media::ProxyInfoLibproxy::enabled | ( |  | ) | const
| inlineoverridevirtual

Implements zypp::media::ProxyInfo::Impl.

Definition at line 49 of file proxyinfolibproxy.h.

## ◆ proxy()

std::string zypp::media::ProxyInfoLibproxy::proxy | ( | const Url & | url_r | ) | const
| overridevirtual

Implements zypp::media::ProxyInfo::Impl.

Definition at line 168 of file proxyinfolibproxy.cc.

## ◆ noProxy()

ProxyInfo::NoProxyList zypp::media::ProxyInfoLibproxy::noProxy | ( |  | ) | const
| inlineoverridevirtual

Implements zypp::media::ProxyInfo::Impl.

Definition at line 54 of file proxyinfolibproxy.h.

## ◆ noProxyBegin()

ProxyInfo::NoProxyIterator zypp::media::ProxyInfoLibproxy::noProxyBegin | ( |  | ) | const
| overridevirtual

Implements zypp::media::ProxyInfo::Impl.

Definition at line 214 of file proxyinfolibproxy.cc.

## ◆ noProxyEnd()

ProxyInfo::NoProxyIterator zypp::media::ProxyInfoLibproxy::noProxyEnd | ( |  | ) | const
| overridevirtual

Implements zypp::media::ProxyInfo::Impl.

Definition at line 217 of file proxyinfolibproxy.cc.

## Member Data Documentation

## ◆ _enabled

DefaultIntegral<bool,false> zypp::media::ProxyInfoLibproxy::_enabled
| private

Definition at line 61 of file proxyinfolibproxy.h.

## ◆ _no_proxy

ProxyInfo::NoProxyList zypp::media::ProxyInfoLibproxy::_no_proxy
| private

Definition at line 62 of file proxyinfolibproxy.h.

## ◆ _factory

pxProxyFactoryType* zypp::media::ProxyInfoLibproxy::_factory
| private

Definition at line 63 of file proxyinfolibproxy.h.

The documentation for this class was generated from the following files:

- zypp-curl/proxyinfo/proxyinfolibproxy.h
- zypp-curl/proxyinfo/proxyinfolibproxy.cc